# EditInlineMessageLiveLocation - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.LiveLocation / EditInlineMessageLiveLocation

# EditInlineMessageLiveLocation

(common) `data class EditInlineMessageLiveLocation : EditInlineMessage, EditReplyMessage, EditLocationMessage` (source)

### Constructors

(common)

#### <init>

`EditInlineMessageLiveLocation(inlineMessageId: InlineMessageIdentifier, latitude: Double, longitude: Double, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### inlineMessageId

`val inlineMessageId: InlineMessageIdentifier`

(common)

#### latitude

`val latitude: Double`

(common)

#### longitude

`val longitude: Double`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

### Functions

(common)

#### method

`fun method(): String`